package com.sinosig.web.module.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 应用实体[交强险信息]
 */
public class JQXXX implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 车险单标识
     */
    private String CIDId;

    @JsonIgnore
    private boolean CIDIdDirtyFlag;
    /**
     * 费率系数
     */
    private Double Flxs;

    @JsonIgnore
    private boolean FlxsDirtyFlag;
    /**
     * 交强险信息标识
     */
    private String JQXXXId;

    @JsonIgnore
    private boolean JQXXXIdDirtyFlag;
    /**
     * 交强险信息名称
     */
    private String JQXXXName;

    @JsonIgnore
    private boolean JQXXXNameDirtyFlag;
    /**
     * 基准保费
     */
    private BigDecimal Jzbf;

    @JsonIgnore
    private boolean JzbfDirtyFlag;
    /**
     * 实交保费
     */
    private BigDecimal Sjbf;

    @JsonIgnore
    private boolean SjbfDirtyFlag;
    /**
     * 条款代码
     */
    private String Tkdm;

    @JsonIgnore
    private boolean TkdmDirtyFlag;
    /**
     * 条款名称
     */
    private String Tkmc;

    @JsonIgnore
    private boolean TkmcDirtyFlag;
    /**
     * 更新时间
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;
    /**
     * 责任限额
     */
    private BigDecimal Zrxe;

    @JsonIgnore
    private boolean ZrxeDirtyFlag;

    /**
     * 获取 [车险单标识]
     */
    @JsonProperty("cidid")
    public String getCIDId(){
        return CIDId ;
    }

    /**
     * 设置 [车险单标识]
     */
    @JsonProperty("cidid")
    public void setCIDId(String  cIDId){
        this.CIDId = cIDId ;
        this.CIDIdDirtyFlag = true ;
    }

    /**
     * 获取 [车险单标识]脏标记
     */
    @JsonIgnore
    public boolean getCIDIdDirtyFlag(){
        return this.CIDIdDirtyFlag ;
    }

    /**
     * 获取 [费率系数]
     */
    @JsonProperty("flxs")
    public Double getFlxs(){
        return Flxs ;
    }

    /**
     * 设置 [费率系数]
     */
    @JsonProperty("flxs")
    public void setFlxs(Double  flxs){
        this.Flxs = flxs ;
        this.FlxsDirtyFlag = true ;
    }

    /**
     * 获取 [费率系数]脏标记
     */
    @JsonIgnore
    public boolean getFlxsDirtyFlag(){
        return this.FlxsDirtyFlag ;
    }

    /**
     * 获取 [交强险信息标识]
     */
    @JsonProperty("jqxxxid")
    public String getJQXXXId(){
        return JQXXXId ;
    }

    /**
     * 设置 [交强险信息标识]
     */
    @JsonProperty("jqxxxid")
    public void setJQXXXId(String  jQXXXId){
        this.JQXXXId = jQXXXId ;
        this.JQXXXIdDirtyFlag = true ;
    }

    /**
     * 获取 [交强险信息标识]脏标记
     */
    @JsonIgnore
    public boolean getJQXXXIdDirtyFlag(){
        return this.JQXXXIdDirtyFlag ;
    }

    /**
     * 获取 [交强险信息名称]
     */
    @JsonProperty("jqxxxname")
    public String getJQXXXName(){
        return JQXXXName ;
    }

    /**
     * 设置 [交强险信息名称]
     */
    @JsonProperty("jqxxxname")
    public void setJQXXXName(String  jQXXXName){
        this.JQXXXName = jQXXXName ;
        this.JQXXXNameDirtyFlag = true ;
    }

    /**
     * 获取 [交强险信息名称]脏标记
     */
    @JsonIgnore
    public boolean getJQXXXNameDirtyFlag(){
        return this.JQXXXNameDirtyFlag ;
    }

    /**
     * 获取 [基准保费]
     */
    @JsonProperty("jzbf")
    public BigDecimal getJzbf(){
        return Jzbf ;
    }

    /**
     * 设置 [基准保费]
     */
    @JsonProperty("jzbf")
    public void setJzbf(BigDecimal  jzbf){
        this.Jzbf = jzbf ;
        this.JzbfDirtyFlag = true ;
    }

    /**
     * 获取 [基准保费]脏标记
     */
    @JsonIgnore
    public boolean getJzbfDirtyFlag(){
        return this.JzbfDirtyFlag ;
    }

    /**
     * 获取 [实交保费]
     */
    @JsonProperty("sjbf")
    public BigDecimal getSjbf(){
        return Sjbf ;
    }

    /**
     * 设置 [实交保费]
     */
    @JsonProperty("sjbf")
    public void setSjbf(BigDecimal  sjbf){
        this.Sjbf = sjbf ;
        this.SjbfDirtyFlag = true ;
    }

    /**
     * 获取 [实交保费]脏标记
     */
    @JsonIgnore
    public boolean getSjbfDirtyFlag(){
        return this.SjbfDirtyFlag ;
    }

    /**
     * 获取 [条款代码]
     */
    @JsonProperty("tkdm")
    public String getTkdm(){
        return Tkdm ;
    }

    /**
     * 设置 [条款代码]
     */
    @JsonProperty("tkdm")
    public void setTkdm(String  tkdm){
        this.Tkdm = tkdm ;
        this.TkdmDirtyFlag = true ;
    }

    /**
     * 获取 [条款代码]脏标记
     */
    @JsonIgnore
    public boolean getTkdmDirtyFlag(){
        return this.TkdmDirtyFlag ;
    }

    /**
     * 获取 [条款名称]
     */
    @JsonProperty("tkmc")
    public String getTkmc(){
        return Tkmc ;
    }

    /**
     * 设置 [条款名称]
     */
    @JsonProperty("tkmc")
    public void setTkmc(String  tkmc){
        this.Tkmc = tkmc ;
        this.TkmcDirtyFlag = true ;
    }

    /**
     * 获取 [条款名称]脏标记
     */
    @JsonIgnore
    public boolean getTkmcDirtyFlag(){
        return this.TkmcDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [责任限额]
     */
    @JsonProperty("zrxe")
    public BigDecimal getZrxe(){
        return Zrxe ;
    }

    /**
     * 设置 [责任限额]
     */
    @JsonProperty("zrxe")
    public void setZrxe(BigDecimal  zrxe){
        this.Zrxe = zrxe ;
        this.ZrxeDirtyFlag = true ;
    }

    /**
     * 获取 [责任限额]脏标记
     */
    @JsonIgnore
    public boolean getZrxeDirtyFlag(){
        return this.ZrxeDirtyFlag ;
    }



}
